{
  "include": ["src/**/*.ts", "src/**/*.d.ts", "src/**/*.tsx", "src/**/*.vue"],
  "compilerOptions": {
    "paths": {
      "@/*": ["src/*"],
    },
    "jsx": "preserve",
    "target": "esnext",
    "module": "esnext",
    "sourceMap": true,
    "outDir": "./dist",
    "lib": ["esnext", "dom"],
    "types": ["vite/client", "node"],
    "strict": true,
    "noUnusedLocals": true,
    "noImplicitReturns": true,
    "moduleResolution": "node",
    "esModuleInterop": true,
    "plugins": [{ "name": "@vuedx/typescript-plugin-vue" }]
  }
}